=== debian/changelog ===
docker-buildx (0.20.1-0ubuntu1~24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 12:28:26 +1000

docker-buildx (0.20.1-0ubuntu1~24.04.1) noble; urgency=medium

  * Backport from plucky to noble (LP: #2085187)
  * d/control: build with golang 1.22 for consistency across the supported
    release
  * d/rules: add golang 1.22 to PATH

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 26 Mar 2025 16:21:58 -0300

docker-buildx (0.20.1-0ubuntu1) plucky; urgency=medium

  * d/watch: do not watch pre releases
  * New upstream version 0.20.1
  * d/control: build with golang 1.24 (LP: #2098662)
  * d/rules: add golang 1.24 to PATH
  * d/s/lintian-overrides: remove unused overrides
  * d/docker-buildx.docs: update NOTICE file list
  * d/copyright: update copyright data
  * d/t/control: add missing B-D on file

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 17 Feb 2025 14:34:35 -0300
