=== debian/watch ===
version=4

opts=\
dversionmangle=s/[+~](debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  https://github.com/docker/buildx/tags .*/archive/.*v(\d+(?:\.\d+)*).tar.gz
