=== debian/changelog ===
docker-buildx (0.21.3-0ubuntu1~22.04.1) jammy; urgency=medium

  * Backport from questing to jammy (LP: #2112523)
  * d/control: build with golang 1.23
  * d/rules: add golang 1.23 to PATH

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 10 Sep 2025 16:59:48 -0300

docker-buildx (0.21.3-0ubuntu1) questing; urgency=medium

  * d/watch: fetch releases data from the Github API. This allows us to fetch
    more available versions
  * New upstream version 0.21.3:
    - CVE-2025-0495

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 03 Jul 2025 10:30:29 -0300
