=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
-               golang-1.22-go
+               golang-1.23-go
 Standards-Version: 4.6.2
 Homepage: https://github.com/docker/buildx
 Vcs-Git: https://github.com/canonical/docker-buildx.git
