=== debian/watch ===
version=4

opts=\
searchmode=plain,\
dversionmangle=s/[+~](debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  https://api.github.com/repos/docker/buildx/tags?per_page=50 \
  https://api.github.com/repos/docker/buildx/tarball/refs/tags/[vV]?((?:\d+\.)*\d+)
