## docker-buildx 0.26.1

=== debian/changelog ===
docker-buildx (0.26.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.26.1 release
  * Update the quilt patch
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 03 Aug 2025 17:10:06 +0200

docker-buildx (0.19.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.19.3 release
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 15 Jan 2025 15:36:14 +0200

docker-buildx (0.18.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.18.0 release
  * Update the quilt patch
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 19 Nov 2024 01:54:06 +0200

docker-buildx (0.16.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.16.2 release
  * Update the quilt patch
  * Bump the Standards-Version
  * Bump the golang-go version required to build
  * Remove the i386 arch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 15 Aug 2024 15:02:32 +0200

docker-buildx (0.14.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.14.0 release
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 25 Apr 2024 19:34:09 +0200

docker-buildx (0.12.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.12.1 release
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 12 Feb 2024 23:01:17 +0200

docker-buildx (0.11.2-2kaisen) kaisen-packages; urgency=medium

  * Remove golang-go as package dependancy

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 07 Aug 2023 13:28:58 +0200

docker-buildx (0.11.2-1kaisen) kaisen-packages; urgency=medium

  * Initial release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 03 Aug 2023 14:38:03 +0200
