=== debian/control ===
Source: docker-buildx
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 golang-go (>= 1.23),
 dh-golang,
Standards-Version: 4.7.2
Homepage: https://github.com/docker/buildx/
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/buildx
Vcs-Git: https://gitlab.com/kaisenlinux/packages/buildx.git

Package: docker-buildx
Architecture: amd64 arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Docker CLI plugin for extended build capabilities with BuildKit
