## docker-buildx 0.29.1+ds1

=== debian/changelog ===
docker-buildx (0.29.1+ds1-1) experimental; urgency=medium

  [ Nicolas Peugnet ]
  * New upstream version 0.29.1+ds1
  * Rediff patches
  * Update dependencies based on dh-make-golang check-depends
  * Disable history trace command due to missing dependency
  * Add new test directory to build
  * Skip one test that depends on golang-opentelemetry-otel-dev >= 1.32
  * Avoid k8s-sigs-structured-merge-diff from experimental
  * Require the latest repack of docker-dev
  * Update copyright information
  * Bump Standards-Version to 4.7.3, drop Rules-Requires-Root & Priority fieds

  [ Moritz Schlarb ]
  * Add Conflicts: docker-buildx-plugin (Closes: #1120500)

  [ Reinhard Tartler ]
  * Add Build-Conflicts on golang-google-grpc-dev in experimental

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 04 Mar 2026 06:13:58 -0500
