## docker-buildx 0.30.1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 export BUILDX_CMD ?= docker buildx
 
-BAKE_TARGETS := binaries binaries-cross lint lint-gopls validate-vendor validate-docs validate-authors validate-generated-files
+BAKE_TARGETS := binaries binaries-cross lint lint-gopls validate-vendor validate-docs validate-authors
 
 .PHONY: all
 all: binaries
@@ -35,7 +35,7 @@
 	./hack/release
 
 .PHONY: validate-all
-validate-all: lint test validate-vendor validate-docs validate-generated-files
+validate-all: lint test validate-vendor validate-docs
 
 .PHONY: test
 test:
@@ -45,7 +45,7 @@
 test-unit:
 	TESTPKGS=./... SKIP_INTEGRATION_TESTS=1 ./hack/test
 
-.PHONY: test
+.PHONY: test-integration
 test-integration:
 	TESTPKGS=./tests ./hack/test
 
@@ -68,7 +68,3 @@
 .PHONY: mod-outdated
 mod-outdated:
 	$(BUILDX_CMD) bake mod-outdated
-
-.PHONY: generated-files
-generated-files:
-	$(BUILDX_CMD) bake update-generated-files
