=== debian/changelog ===
docker-buildx (0.30.1-0ubuntu1) resolute; urgency=medium

  * New upstream version 0.30.1
  * d/docker-buildx.docs: update NOTICE files
  * d/s/lintian-overrides: ignore vendored code long lines
  * d/copyright: update copyright data

 -- Athos Ribeiro <athos@ubuntu.com>  Tue, 16 Dec 2025 12:03:00 -0300
